import psutil
from keyboard_colors.color_profile import ColorProfileBase, Color


class ColorProfile(ColorProfileBase):

    type_name = 'Custom colors'
    color_scale = {
        0:   Color.from_hex('#00FF00'),
        100: Color.from_hex('#FF0000'),
    }

    def __init__(self):
        super().__init__()

    def next_color(self):
        return self.color_scale_value(psutil.cpu_percent())
